From 762f0419749520a363c5c266923529d507d9f8b3 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 04 2020 06:24:42 +0000
Subject: [PATCH 969/2232] Fix behavior of --include and --output flags


It was not intended that these would consume multiple arguments after a
single instance of the flag.

---

diff --git a/gen/cmd/src/app.rs b/gen/cmd/src/app.rs
index 152f11a..bd3bcfd 100644
--- a/gen/cmd/src/app.rs
+++ b/gen/cmd/src/app.rs
@@ -136,6 +136,7 @@ into the generated C++ code as #include lines.
         .short("i")
         .takes_value(true)
         .multiple(true)
+        .number_of_values(1)
         .validator_os(validate_utf8)
         .help(HELP)
 }
@@ -150,6 +151,7 @@ not specified.
         .short("o")
         .takes_value(true)
         .multiple(true)
+        .number_of_values(1)
         .validator_os(validate_utf8)
         .help(HELP)
 }

